import request from '@/webPublic/zyd_public/request/request';
import config from '@/config/config';

window.differenceBetweenServerAndClientTime = 0;
export const getTime = () => {
  if (window.specialImportantSystemConfig && window.specialImportantSystemConfig.mockServer) {
    return request(
      `${window.specialImportantSystemConfig.mockServer}/${window.specialImportantSystemConfig.gateWayUrl.zydxg}/InstructorConfigApi/getCurrentDate`,
      {
        method: 'POST',
        body: {},
      },
    )
      .then(t => {
        if (t) {
          window.differenceBetweenServerAndClientTime = t - new Date().getTime(); // 服务器时间 与 客户端时间的差值
        }
        return true;
      });
  } else {
    return new Promise((resolve) => {
      window.differenceBetweenServerAndClientTime = 0;
      resolve(true);
    });
  }
};

export async function queryCurrent() {
  let t = await getTime();
  if (window.specialImportantSystemConfig && window.specialImportantSystemConfig.mockServer) {
    return request(
      `${window.specialImportantSystemConfig.mockServer}/${window.specialImportantSystemConfig.gateWayUrl.zydxg}/UserApi/queryCurrent`,
      {
        method: 'POST',
        body: {},
      },
    );
  }
}
